package cn.com.countrygarden.bi.main.model.dup;

import java.util.Date;

/**
 * <pre>
 * 。尾盘移交明细Dto
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public class LastTransferDetail {
	
	private String organCode;//区域代码
	private String organName;//区域名称
	private int id;//尾盘移交明细id
	private String commName;//项目名
	private int commId;//项目id
	private String parkName;//苑区
	private String  contractAddress;//合同路址
	private String roomCode;//房间代码
	private String buildingProperty;//建筑性质
	private String buildingPropertys;//建筑性质
	private String decorationStandard;//装修标准
	private String whetherDemonstrationUnit;//是否示范单位
	private String temporaryMeasureDuilding;//暂测建筑
	private String temporaryMeasureDwellingSpace;//暂测套内
	private String temporaryMeasureGarden;//暂测花园
	private String actualMeasurementDuilding;//实测建筑
	private String actualMeasurementDwellingSpace;//实测套内
	private String actualMeasurementgarden;//实测花园
	private Date advanceDate;//预售证日期
	private Date completionDate;//竣工日期
	private Date contractRepossessionDate;//合同收楼日期
	private double cost; //成本
	private String headquartersLowPriceMonitor;//总部低价监控
	private String headquartersLowPriceRoughMonitor;//总部低价(毛坯)监控
	private String whetherPartakeLightDisk;//是否参与光盘行动
	private double fixedPrice;//定价
	private double salesPromotionDiscount;//促销优惠
	private double discountPrice;//优惠折后价
	private String contractVersion;//合同版本是否已确定
	private String whetherSell;//是否可售
	private String noSellReason;//不可售原因
	private String reviewStatus;//审核状态
	private String status;//状态 --未售/保留/预留
	private Date createDate;//更新时间
	
	
	//分页条件
	private int pageIndex;
	private int pageSize; 
	private String AccessToken;
	private String createDateStart;
	private String createDateEnd;
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getCommName() {
		return commName;
	}
	public void setCommName(String commName) {
		this.commName = commName;
	}
	public int getCommId() {
		return commId;
	}
	public void setCommId(int commId) {
		this.commId = commId;
	}
	public String getParkName() {
		return parkName;
	}
	public void setParkName(String parkName) {
		this.parkName = parkName;
	}
	public String getContractAddress() {
		return contractAddress;
	}
	public void setContractAddress(String contractAddress) {
		this.contractAddress = contractAddress;
	}
	public String getRoomCode() {
		return roomCode;
	}
	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}
	public String getBuildingProperty() {
		return buildingProperty;
	}
	public void setBuildingProperty(String buildingProperty) {
		this.buildingProperty = buildingProperty;
	}
	public String getDecorationStandard() {
		return decorationStandard;
	}
	public void setDecorationStandard(String decorationStandard) {
		this.decorationStandard = decorationStandard;
	}
	public String getWhetherDemonstrationUnit() {
		return whetherDemonstrationUnit;
	}
	public void setWhetherDemonstrationUnit(String whetherDemonstrationUnit) {
		this.whetherDemonstrationUnit = whetherDemonstrationUnit;
	}
	public String getTemporaryMeasureDuilding() {
		return temporaryMeasureDuilding;
	}
	public void setTemporaryMeasureDuilding(String temporaryMeasureDuilding) {
		this.temporaryMeasureDuilding = temporaryMeasureDuilding;
	}
	public String getTemporaryMeasureDwellingSpace() {
		return temporaryMeasureDwellingSpace;
	}
	public void setTemporaryMeasureDwellingSpace(String temporaryMeasureDwellingSpace) {
		this.temporaryMeasureDwellingSpace = temporaryMeasureDwellingSpace;
	}
	public String getTemporaryMeasureGarden() {
		return temporaryMeasureGarden;
	}
	public void setTemporaryMeasureGarden(String temporaryMeasureGarden) {
		this.temporaryMeasureGarden = temporaryMeasureGarden;
	}
	public String getActualMeasurementDuilding() {
		return actualMeasurementDuilding;
	}
	public void setActualMeasurementDuilding(String actualMeasurementDuilding) {
		this.actualMeasurementDuilding = actualMeasurementDuilding;
	}
	public String getActualMeasurementDwellingSpace() {
		return actualMeasurementDwellingSpace;
	}
	public void setActualMeasurementDwellingSpace(String actualMeasurementDwellingSpace) {
		this.actualMeasurementDwellingSpace = actualMeasurementDwellingSpace;
	}
	public String getActualMeasurementgarden() {
		return actualMeasurementgarden;
	}
	public void setActualMeasurementgarden(String actualMeasurementgarden) {
		this.actualMeasurementgarden = actualMeasurementgarden;
	}
	public Date getAdvanceDate() {
		return advanceDate;
	}
	public void setAdvanceDate(Date advanceDate) {
		this.advanceDate = advanceDate;
	}
	
	public Date getCompletionDate() {
		return completionDate;
	}
	public void setCompletionDate(Date completionDate) {
		this.completionDate = completionDate;
	}
	public Date getContractRepossessionDate() {
		return contractRepossessionDate;
	}
	public void setContractRepossessionDate(Date contractRepossessionDate) {
		this.contractRepossessionDate = contractRepossessionDate;
	}
	public double getCost() {
		return cost;
	}
	public void setCost(double cost) {
		this.cost = cost;
	}
	public String getHeadquartersLowPriceMonitor() {
		return headquartersLowPriceMonitor;
	}
	public void setHeadquartersLowPriceMonitor(String headquartersLowPriceMonitor) {
		this.headquartersLowPriceMonitor = headquartersLowPriceMonitor;
	}
	public String getHeadquartersLowPriceRoughMonitor() {
		return headquartersLowPriceRoughMonitor;
	}
	public void setHeadquartersLowPriceRoughMonitor(String headquartersLowPriceRoughMonitor) {
		this.headquartersLowPriceRoughMonitor = headquartersLowPriceRoughMonitor;
	}
	public String getWhetherPartakeLightDisk() {
		return whetherPartakeLightDisk;
	}
	public void setWhetherPartakeLightDisk(String whetherPartakeLightDisk) {
		this.whetherPartakeLightDisk = whetherPartakeLightDisk;
	}
	public double getFixedPrice() {
		return fixedPrice;
	}
	public void setFixedPrice(double fixedPrice) {
		this.fixedPrice = fixedPrice;
	}
	public double getSalesPromotionDiscount() {
		return salesPromotionDiscount;
	}
	public void setSalesPromotionDiscount(double salesPromotionDiscount) {
		this.salesPromotionDiscount = salesPromotionDiscount;
	}
	public double getDiscountPrice() {
		return discountPrice;
	}
	public void setDiscountPrice(double discountPrice) {
		this.discountPrice = discountPrice;
	}
	public String getContractVersion() {
		return contractVersion;
	}
	public void setContractVersion(String contractVersion) {
		this.contractVersion = contractVersion;
	}
	public String getWhetherSell() {
		return whetherSell;
	}
	public void setWhetherSell(String whetherSell) {
		this.whetherSell = whetherSell;
	}
	public String getNoSellReason() {
		return noSellReason;
	}
	public void setNoSellReason(String noSellReason) {
		this.noSellReason = noSellReason;
	}
	public String getReviewStatus() {
		return reviewStatus;
	}
	public void setReviewStatus(String reviewStatus) {
		this.reviewStatus = reviewStatus;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public int getPageIndex() {
		return pageIndex;
	}
	public void setPageIndex(int pageIndex) {
		this.pageIndex = pageIndex;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public String getAccessToken() {
		return AccessToken;
	}
	public void setAccessToken(String accessToken) {
		AccessToken = accessToken;
	}
	public String getCreateDateStart() {
		return createDateStart;
	}
	public void setCreateDateStart(String createDateStart) {
		this.createDateStart = createDateStart;
	}
	public String getCreateDateEnd() {
		return createDateEnd;
	}
	public void setCreateDateEnd(String createDateEnd) {
		this.createDateEnd = createDateEnd;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getOrganCode() {
		return organCode;
	}
	public void setOrganCode(String organCode) {
		this.organCode = organCode;
	}
	public String getOrganName() {
		return organName;
	}
	public void setOrganName(String organName) {
		this.organName = organName;
	}
	public String getBuildingPropertys() {
		return buildingPropertys;
	}
	public void setBuildingPropertys(String buildingPropertys) {
		this.buildingPropertys = buildingPropertys;
	}
	
}
